// RemoteROT.h : Declaration of the CRemoteROT

#ifndef __REMOTEROT_H_
#define __REMOTEROT_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CRemoteROT
class ATL_NO_VTABLE CRemoteROT : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CRemoteROT, &CLSID_RemoteROT>,
	public IRemoteROT
{
public:
	CRemoteROT()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_REMOTEROT)

BEGIN_COM_MAP(CRemoteROT)
	COM_INTERFACE_ENTRY(IRemoteROT)
END_COM_MAP()

// IRemoteROT
public:
	STDMETHOD(GetRemoteRunningObjectTable)(IRunningObjectTable **ppRot);
};

#endif //__REMOTEROT_H_
